gicRecognizerTrain(3)

NAME
gicRecognizerTrain, gicRecognizerTrainStart, gicRecognizerTrainStop, gicRecognizerTrainAdd, gicRecognizerTrainMove, gicRecognizerFindConflict, gicRecognizerGetName, gicRecognizerGetOpposite : Train recognizers

SYNOPSIS
#include <ggi/gic.h>
int gicRecognizerTrain(gic_handle_t hand,
                      gic_recognizer **recognizerlist,
                      gii_event *event);
#define gicRecognizerTrainStart(hand,x) \
                      gicRecognizerTrain(hand,x,NULL)
#define gicRecognizerTrainStop(hand,x)  \
                      gicRecognizerTrain(hand,x,NULL)
int gicRecognizerTrainAdd(gic_handle_t hand,
                      gic_recognizer **recognizerlist,
                      gic_recognizer *newone);
int gicRecognizerTrainMove(gic_handle_t hand,
                      gic_recognizer **recognizerlist,
                      gic_recognizer *newone);
int gicRecognizerFindConflict(gic_handle_t hand,
                      gic_recognizer *recognizer,
                      gic_recognizer *compare_to);
int gicRecognizerGetName(gic_handle_t hand,
                      gic_recognizer *recognizer,
                      char *string, size_t maxlen);
int gicRecognizerGetOpposite(gic_handle_t hand,
                      gic_recognizer *recognizer,
                      gic_recognizer **opposite);

DESCRIPTION
TODO Write something useful here

RETURN VALUE
All functions return 0 for success, otherwise an gii-error(3) code.

SEE ALSO
gicOpen(3)